LibreOffice: XContentAccess Interface Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XContentAccess Interface Referencepublished

specifies methods for obtaining information on a content in different levels. More...

`import"XContentAccess.idl";`

Inheritance diagram for XContentAccess:

## Public Member Functions
string | queryContentIdentifierString ()
| returns the identifier string of the content ( "cheap method" ). More...
XContentIdentifier | queryContentIdentifier ()
| returns the identifier object of the content. More...
XContent | queryContent ()
| returns the content ( "most expensive method" ). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies methods for obtaining information on a content in different levels.

For example, if there is a cursor which points to XContents, this interface could be used to give the user access to the content under the cursor. If the client only needs the identifier string of the content, there is no need to first create the content object, then to obtain the string from it and after that to release the content.

Version
  1.0

Author
  Kai Sommerfeld

See also
  XContent
  XContentIdentifier

## Member Function Documentation

XContent queryContent | ( |  | ) |

returns the content ( "most expensive method" ).

Returns
  the content.

XContentIdentifier queryContentIdentifier | ( |  | ) |

returns the identifier object of the content.

Returns
  the identifier object.

string queryContentIdentifierString | ( |  | ) |

returns the identifier string of the content ( "cheap method" ).

Note that this string can be used later to recreate the content.

Returns
  the identifier string.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XContentAccess.idl